ListPaymentMethods
GET
/billing/v1/payment-methodsQuery Parameters
org_id?org_id
The org_id query parameter.
refresh?refresh
The refresh query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.ListPaymentMethodsResponse",
"$ref-value": {
"type": "object",
"properties": {
"payment_methods": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.PaymentMethod",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"type": {
"type": "string",
"title": "type"
},
"provider": {
"type": "string",
"title": "provider"
},
"details": {
"type": "string",
"title": "details"
},
"is_default": {
"type": "boolean",
"title": "is_default"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "PaymentMethod",
"additionalProperties": false
}
},
"title": "payment_methods"
}
},
"title": "ListPaymentMethodsResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/billing/v1/payment-methods"Success
application/json
{
"$ref": "#/components/schemas/billing.v1.ListPaymentMethodsResponse",
"$ref-value": {
"type": "object",
"properties": {
"payment_methods": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.PaymentMethod",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"type": {
"type": "string",
"title": "type"
},
"provider": {
"type": "string",
"title": "provider"
},
"details": {
"type": "string",
"title": "details"
},
"is_default": {
"type": "boolean",
"title": "is_default"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "PaymentMethod",
"additionalProperties": false
}
},
"title": "payment_methods"
}
},
"title": "ListPaymentMethodsResponse",
"additionalProperties": false
}
}